Manifest-Version: 1.0
Bnd-LastModified: 1712087921689
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Security LDAP Implementation
Bundle-SymbolicName: com.liferay.portal.security.ldap.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.24.hotfix-5217-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.admin.kernel.util;version="2.0",com.lifera
 y.expando.kernel.model;version="4.1",com.liferay.expando.kernel.servi
 ce;version="1.8",com.liferay.expando.kernel.util;version="4.0",com.li
 feray.petra.function;version="1.5",com.liferay.petra.lang;version="1.
 3",com.liferay.petra.string;version="1.6",com.liferay.portal.configur
 ation.metatype.bnd.util;version="2.0",com.liferay.portal.configuratio
 n.persistence.listener;version="1.1",com.liferay.portal.instance.life
 cycle;version="2.0",com.liferay.portal.kernel.bean;version="10.0",com
 .liferay.portal.kernel.cache;version="11.0",com.liferay.portal.kernel
 .exception;version="12.0",com.liferay.portal.kernel.language;version=
 "10.0",com.liferay.portal.kernel.lock;version="8.0",com.liferay.porta
 l.kernel.log;version="7.1",com.liferay.portal.kernel.messaging;versio
 n="11.1",com.liferay.portal.kernel.model;version="16.0",com.liferay.p
 ortal.kernel.module.configuration;version="2.0",com.liferay.portal.ke
 rnel.scheduler;version="10.1",com.liferay.portal.kernel.security.auth
 ;version="5.0",com.liferay.portal.kernel.security.exportimport;versio
 n="1.0",com.liferay.portal.kernel.security.ldap;version="2.0",com.lif
 eray.portal.kernel.security.pwd;version="3.0",com.liferay.portal.kern
 el.service;version="13.1",com.liferay.portal.kernel.service.persisten
 ce;version="13.1",com.liferay.portal.kernel.transaction;version="8.1"
 ,com.liferay.portal.kernel.upgrade;version="16.2",com.liferay.portal.
 kernel.util;version="38.0",com.liferay.portal.security.exportimport;v
 ersion="1.1",com.liferay.portal.security.ldap;version="2.0",com.lifer
 ay.portal.security.ldap.authenticator.configuration;version="1.0",com
 .liferay.portal.security.ldap.configuration;version="2.0",com.liferay
 .portal.security.ldap.constants;version="2.0",com.liferay.portal.secu
 rity.ldap.dummy;version="1.0",com.liferay.portal.security.ldap.export
 import;version="1.1",com.liferay.portal.security.ldap.exportimport.co
 nfiguration;version="1.0",com.liferay.portal.security.ldap.util;versi
 on="1.2",com.liferay.portal.security.ldap.validator;version="1.1",com
 .liferay.portal.upgrade.registry;version="3.1",com.liferay.portal.ver
 ify,javax.naming,javax.naming.directory,javax.naming.ldap,javax.swing
 ,javax.swing.event,javax.swing.tree,org.apache.commons.lang.time;vers
 ion="2.6",org.osgi.framework;version="1.8",org.osgi.service.cm;versio
 n="1.6"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Security
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: antlr,antlr.ASdebug,antlr.actions.cpp,antlr.actions.c
 sharp,antlr.actions.java,antlr.actions.python,antlr.build,antlr.colle
 ctions,antlr.collections.impl,antlr.debug,antlr.debug.misc,antlr.prep
 rocessor,com.liferay.portal.security.ldap.internal,com.liferay.portal
 .security.ldap.internal.authenticator,com.liferay.portal.security.lda
 p.internal.authenticator.configuration,com.liferay.portal.security.ld
 ap.internal.configuration,com.liferay.portal.security.ldap.internal.c
 onfiguration.persistence.listener,com.liferay.portal.security.ldap.in
 ternal.constants,com.liferay.portal.security.ldap.internal.exportimpo
 rt,com.liferay.portal.security.ldap.internal.exportimport.configurati
 on,com.liferay.portal.security.ldap.internal.instance.lifecycle,com.l
 iferay.portal.security.ldap.internal.messaging.config,com.liferay.por
 tal.security.ldap.internal.model.listener,com.liferay.portal.security
 .ldap.internal.upgrade,com.liferay.portal.security.ldap.internal.upgr
 ade.v1_0_0,com.liferay.portal.security.ldap.internal.validator,com.li
 feray.portal.security.ldap.internal.validator.parser,com.liferay.port
 al.security.ldap.internal.verify,org.antlr,org.antlr.analysis,org.ant
 lr.codegen,org.antlr.codegen.templates,org.antlr.codegen.templates.C,
 org.antlr.codegen.templates.CSharp,org.antlr.codegen.templates.Java,o
 rg.antlr.codegen.templates.ObjC,org.antlr.codegen.templates.Python,or
 g.antlr.codegen.templates.Ruby,org.antlr.codegen.templates.cpp,org.an
 tlr.misc,org.antlr.runtime,org.antlr.runtime.debug,org.antlr.runtime.
 misc,org.antlr.runtime.tree,org.antlr.stringtemplate,org.antlr.string
 template.language,org.antlr.stringtemplate.misc,org.antlr.stringtempl
 ate.test,org.antlr.tool,org.antlr.tool.templates,org.antlr.tool.templ
 ates.dot,org.antlr.tool.templates.messages.formats,org.antlr.tool.tem
 plates.messages.languages
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.configuration.persistence.listener.ConfigurationModelListener
 ,com.liferay.portal.security.ldap.internal.configuration.persistence.
 listener.UserImportConfigurationModelListener";uses:="com.liferay.por
 tal.configuration.persistence.listener,com.liferay.portal.security.ld
 ap.internal.configuration.persistence.listener",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.instance.lifecycle.PortalInstanc
 eLifecycleListener";uses:="com.liferay.portal.instance.lifecycle",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.model.M
 odelListener";uses:="com.liferay.portal.kernel.model",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.security.auth.Authe
 nticator";uses:="com.liferay.portal.kernel.security.auth",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.security.ldap.A
 ttributesTransformer";uses:="com.liferay.portal.kernel.security.ldap"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.sec
 urity.ldap.LDAPSettings";uses:="com.liferay.portal.kernel.security.ld
 ap",osgi.service;objectClass:List<String>="com.liferay.portal.securit
 y.exportimport.UserExporter";uses:="com.liferay.portal.security.expor
 timport",osgi.service;objectClass:List<String>="com.liferay.portal.se
 curity.exportimport.UserImporter,com.liferay.portal.security.ldap.exp
 ortimport.LDAPUserImporter";uses:="com.liferay.portal.security.export
 import,com.liferay.portal.security.ldap.exportimport",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.security.ldap.PortalLDAP";
 uses:="com.liferay.portal.security.ldap",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.security.ldap.SafePortalLDAP";uses:="co
 m.liferay.portal.security.ldap",osgi.service;objectClass:List<String>
 ="com.liferay.portal.security.ldap.configuration.ConfigurationProvide
 r";uses:="com.liferay.portal.security.ldap.configuration",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.security.ldap.exportim
 port.LDAPToPortalConverter";uses:="com.liferay.portal.security.ldap.e
 xportimport",osgi.service;objectClass:List<String>="com.liferay.porta
 l.security.ldap.exportimport.PortalToLDAPConverter";uses:="com.lifera
 y.portal.security.ldap.exportimport",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.security.ldap.validator.LDAPFilterValidator
 ";uses:="com.liferay.portal.security.ldap.validator",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.upgrade.registry.UpgradeSte
 pRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.verify.VerifyProcess";
 uses:="com.liferay.portal.verify",osgi.service;objectClass:List<Strin
 g>="org.osgi.service.cm.ConfigurationListener";uses:="org.osgi.servic
 e.cm"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.adm
 in.kernel.util.Omniadmin)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.expando.kernel.service.ExpandoValueLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.bean.BeanProperties)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.cache.SingleVMPool)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.lock.LockManager)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.messaging.Destination)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.messaging.DestinationFactory)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.module.configuration.Confi
 gurationProvider)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.scheduler.SchedulerEngineHelper)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.scheduler.TriggerFactory)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.security.ldap.AttributesTran
 sformer)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.security.ldap.LDAPSettings)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.security.p
 wd.PasswordEncryptor)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.service.CompanyLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.GroupLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.ImageLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.ListTypeService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.MembershipRequ
 estLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.RoleLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.UserGroupLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.UserLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.persistence.ContactPersistence)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.pers
 istence.UserPersistence)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.util.PrefsProps)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.
 Props)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.security.exportimport.UserExporter)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.security.exportimp
 ort.UserImporter)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.security.ldap.SafePortalLDAP)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.security.ldap
 .configuration.ConfigurationProvider)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.security.ldap.configuration
 .ConfigurationProvider)";effective:=active;resolution:=optional;cardi
 nality:=multiple,osgi.service;filter:="(objectClass=com.liferay.porta
 l.security.ldap.exportimport.LDAPToPortalConverter)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.security.ldap
 .exportimport.LDAPUserImporter)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.security.ldap.exportimport.Portal
 ToLDAPConverter)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.security.ldap.validator.LDAPFilterValidator)";ef
 fective:=active,osgi.service;filter:="(objectClass=org.osgi.service.c
 m.ConfigurationAdmin)";effective:=active,osgi.extender;filter:="(&(os
 gi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi
 .ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.security.ldap.internal.
 DefaultAttributesTransformer.xml,OSGI-INF/com.liferay.portal.security
 .ldap.internal.DefaultLDAPSettings.xml,OSGI-INF/com.liferay.portal.se
 curity.ldap.internal.DefaultPortalLDAP.xml,OSGI-INF/com.liferay.porta
 l.security.ldap.internal.SafePortalLDAPImpl.xml,OSGI-INF/com.liferay.
 portal.security.ldap.internal.authenticator.LDAPAuth.xml,OSGI-INF/com
 .liferay.portal.security.ldap.internal.authenticator.configuration.LD
 APAuthConfigurationProviderImpl.xml,OSGI-INF/com.liferay.portal.secur
 ity.ldap.internal.configuration.LDAPConfigurationListener.xml,OSGI-IN
 F/com.liferay.portal.security.ldap.internal.configuration.LDAPServerC
 onfigurationProviderImpl.xml,OSGI-INF/com.liferay.portal.security.lda
 p.internal.configuration.SystemLDAPConfigurationProviderImpl.xml,OSGI
 -INF/com.liferay.portal.security.ldap.internal.configuration.persiste
 nce.listener.UserImportConfigurationModelListener.xml,OSGI-INF/com.li
 feray.portal.security.ldap.internal.exportimport.DefaultLDAPToPortalC
 onverter.xml,OSGI-INF/com.liferay.portal.security.ldap.internal.expor
 timport.DefaultPortalToLDAPConverter.xml,OSGI-INF/com.liferay.portal.
 security.ldap.internal.exportimport.LDAPUserExporterImpl.xml,OSGI-INF
 /com.liferay.portal.security.ldap.internal.exportimport.LDAPUserImpor
 terImpl.xml,OSGI-INF/com.liferay.portal.security.ldap.internal.export
 import.configuration.LDAPExportConfigurationProviderImpl.xml,OSGI-INF
 /com.liferay.portal.security.ldap.internal.exportimport.configuration
 .LDAPImportConfigurationProviderImpl.xml,OSGI-INF/com.liferay.portal.
 security.ldap.internal.instance.lifecycle.LDAPPortalInstanceLifecycle
 Listener.xml,OSGI-INF/com.liferay.portal.security.ldap.internal.messa
 ging.config.MessagingConfigurator.xml,OSGI-INF/com.liferay.portal.sec
 urity.ldap.internal.model.listener.ContactModelListener.xml,OSGI-INF/
 com.liferay.portal.security.ldap.internal.model.listener.UserGroupMod
 elListener.xml,OSGI-INF/com.liferay.portal.security.ldap.internal.mod
 el.listener.UserModelListener.xml,OSGI-INF/com.liferay.portal.securit
 y.ldap.internal.upgrade.LDAPServiceUpgrade.xml,OSGI-INF/com.liferay.p
 ortal.security.ldap.internal.validator.LDAPFilterValidatorImpl.xml,OS
 GI-INF/com.liferay.portal.security.ldap.internal.verify.LDAPPropertie
 sVerifyProcess.xml
Tool: Bnd-4.3.0.201909301554

